io.agora.rtc

## Enum Constants.VideoSourceType

- java.lang.Object
- - java.lang.Enum<Constants.VideoSourceType>
  - - io.agora.rtc.Constants.VideoSourceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.VideoSourceType>
  Enclosing class:
    Constants

      public static enum Constants.VideoSourceType
      extends java.lang.Enum<Constants.VideoSourceType>

  Video source types definition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VIDEO_SOURCE_CAMERA_PRIMARY` Video captured by the camera.
    `VIDEO_SOURCE_CAMERA_SECONDARY` Video captured by the secondary camera.
    `VIDEO_SOURCE_CUSTOM` Video for external video frame
    `VIDEO_SOURCE_MEDIA_PLAYER` Video for media player sharing.
    `VIDEO_SOURCE_REMOTE` Remote video received from network.
    `VIDEO_SOURCE_RTC_IMAGE_GIF` Video for png image.
    `VIDEO_SOURCE_RTC_IMAGE_JPEG` Video for png image.
    `VIDEO_SOURCE_RTC_IMAGE_PNG` Video for png image.
    `VIDEO_SOURCE_SCREEN_PRIMARY` Video for screen sharing.
    `VIDEO_SOURCE_SCREEN_SECONDARY` Video for secondary screen sharing.
    `VIDEO_SOURCE_TRANSCODED` Video for transcoded.
    `VIDEO_SOURCE_UNKNOWN` Not define.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the video source type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.VideoSourceType type)` Gets the integer value of the video source type.
    `static Constants.VideoSourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.VideoSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIDEO_SOURCE_CAMERA_PRIMARY

          public static final Constants.VideoSourceType VIDEO_SOURCE_CAMERA_PRIMARY

      Video captured by the camera.

    - #### VIDEO_SOURCE_CAMERA_SECONDARY

          public static final Constants.VideoSourceType VIDEO_SOURCE_CAMERA_SECONDARY

      Video captured by the secondary camera. Not supported by Android

    - #### VIDEO_SOURCE_SCREEN_PRIMARY

          public static final Constants.VideoSourceType VIDEO_SOURCE_SCREEN_PRIMARY

      Video for screen sharing.

    - #### VIDEO_SOURCE_SCREEN_SECONDARY

          public static final Constants.VideoSourceType VIDEO_SOURCE_SCREEN_SECONDARY

      Video for secondary screen sharing. Not supported by Android

    - #### VIDEO_SOURCE_CUSTOM

          public static final Constants.VideoSourceType VIDEO_SOURCE_CUSTOM

      Video for external video frame

    - #### VIDEO_SOURCE_MEDIA_PLAYER

          public static final Constants.VideoSourceType VIDEO_SOURCE_MEDIA_PLAYER

      Video for media player sharing.

    - #### VIDEO_SOURCE_RTC_IMAGE_PNG

          public static final Constants.VideoSourceType VIDEO_SOURCE_RTC_IMAGE_PNG

      Video for png image. Not supported by Android

    - #### VIDEO_SOURCE_RTC_IMAGE_JPEG

          public static final Constants.VideoSourceType VIDEO_SOURCE_RTC_IMAGE_JPEG

      Video for png image. Not supported by Android

    - #### VIDEO_SOURCE_RTC_IMAGE_GIF

          public static final Constants.VideoSourceType VIDEO_SOURCE_RTC_IMAGE_GIF

      Video for png image. Not supported by Android

    - #### VIDEO_SOURCE_REMOTE

          public static final Constants.VideoSourceType VIDEO_SOURCE_REMOTE

      Remote video received from network. Not supported by Android

    - #### VIDEO_SOURCE_TRANSCODED

          public static final Constants.VideoSourceType VIDEO_SOURCE_TRANSCODED

      Video for transcoded. Not supported by Android

    - #### VIDEO_SOURCE_UNKNOWN

          public static final Constants.VideoSourceType VIDEO_SOURCE_UNKNOWN

      Not define.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the video source type

  - ### Method Detail

    - #### values

          public static Constants.VideoSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.VideoSourceType c : Constants.VideoSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.VideoSourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.VideoSourceType type)

      Gets the integer value of the video source type.
      Parameters:
        `type` - Video source type
      Returns:
        The integer value